Bug 281741 - SELINUX_ERR on /usr/bin/wine
SELINUX_ERR on /usr/bin/wine
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 251803
  Show dependency treegraph
 
Reported: 2007-09-06 21:09 EDT by Adam Goode
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-12 13:00:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Goode 2007-09-06 21:09:30 EDT
Description of problem:

/usr/bin/wine does not run


Version-Release number of selected component (if applicable):

wine-0.9.44-1.fc8
selinux-policy-3.0.7-2.fc8


How reproducible:

Always.


Steps to Reproduce:
1. wine

Actual results:

/usr/bin/wine: Permission denied

type=SELINUX_ERR msg=audit(1189126696.632:32): security_compute_sid:  invalid
context system_u:system_r:wine_t:s0 for
scontext=system_u:system_r:unconfined_t:s0
tcontext=system_u:object_r:wine_exec_t:s0 tclass=process

Expected results:

Usage: wine PROGRAM [ARGUMENTS...]   Run the specified program
       wine --help                   Display this help and exit
       wine --version                Output version information and exit


Additional info:
Comment 1 Daniel Walsh 2007-09-07 09:05:43 EDT
Fixed in selinux-policy-3.0.7-6.fc8.src.rpm
Comment 2 Daniel Walsh 2007-09-12 13:00:43 EDT
ALready fixed in rawhide

Note You need to log in before you can comment on or make changes to this bug.